Loading...
Searching...
No Matches
foreach.hh File Reference
`#include <type_traits>`
`#include <utility>`
`#include <cassert>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/diagonalmatrix.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/istl/bcrsmatrix.hh>`
`#include <dune/istl/scaledidmatrix.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::ForEach

## Functions

template<class Matrix>
auto | Dune::ForEach::rows (Matrix const &matrix)
template<class Matrix>
auto | Dune::ForEach::cols (Matrix const &matrix)
template<class Vector>
auto | Dune::ForEach::size (Vector const &vector)
template<class Vector, class F>
std::size_t | Dune::flatVectorForEach (Vector &&vector, F &&f, std::size_t offset=0)
| Traverse a blocked vector and call a functor at each scalar entry.
template<class Matrix, class F>
std::pair< std::size_t, std::size_t > | Dune::flatMatrixForEach (Matrix &&matrix, F &&f, std::size_t rowOffset=0, std::size_t colOffset=0)
| Traverse a blocked matrix and call a functor at each scalar entry.